# eric6.QScintilla.ShellHistoryDialog

Module implementing the shell history dialog.

### Global Attributes

None

### Classes

ShellHistoryDialog | Class implementing the shell history dialog.

### Functions

None

## ShellHistoryDialog

Class implementing the shell history dialog.

### Derived from

QDialog, Ui_ShellHistoryDialog

### Class Attributes

None

### Class Methods

None

### Methods

ShellHistoryDialog | Constructor
getHistory | Public method to retrieve the history from the dialog.
on_copyButton_clicked | Private slot to copy the selected entries to the current editor.
on_deleteButton_clicked | Private slot to delete the selected entries from the history.
on_executeButton_clicked | Private slot to execute the selected entries in the shell.
on_historyList_itemDoubleClicked | Private slot to handle a double click of an item.
on_historyList_itemSelectionChanged | Private slot to handle a change of the selection.
on_reloadButton_clicked | Private slot to reload the history.

### Static Methods

None

#### ShellHistoryDialog (Constructor)

ShellHistoryDialog(history, vm, shell)

Constructor

history
  reference to the current shell history (list of strings)
vm
  reference to the viewmanager object
shell
  reference to the shell object

#### ShellHistoryDialog.getHistory

getHistory()

Public method to retrieve the history from the dialog.

Returns:
  list of history entries (list of strings)

#### ShellHistoryDialog.on_copyButton_clicked

on_copyButton_clicked()

Private slot to copy the selected entries to the current editor.

#### ShellHistoryDialog.on_deleteButton_clicked

on_deleteButton_clicked()

Private slot to delete the selected entries from the history.

#### ShellHistoryDialog.on_executeButton_clicked

on_executeButton_clicked()

Private slot to execute the selected entries in the shell.

#### ShellHistoryDialog.on_historyList_itemDoubleClicked

on_historyList_itemDoubleClicked(item)

Private slot to handle a double click of an item.

item
  reference to the item that was double clicked (QListWidgetItem)

#### ShellHistoryDialog.on_historyList_itemSelectionChanged

on_historyList_itemSelectionChanged()

Private slot to handle a change of the selection.

#### ShellHistoryDialog.on_reloadButton_clicked

on_reloadButton_clicked()

Private slot to reload the history.

Up